Loading...
Searching...
No Matches
chi

## Detailed Description

Examples
  diffusion_tensor.cc, diffusion_tensor_exact.icc, diffusion_transport_tensor_dg.cc, diffusion_transport_tensor_exact.icc, transport_tensor_dg.cc, and transport_tensor_exact.icc.

Definition at line 38 of file diffusion_tensor_exact.icc.

## Public Member Functions

tensor | operator() (const point &x) const
| chi ()
tensor | operator() (const point &x) const
| chi (Float eps, Float nu, Float t=0)
tensor | operator() (const point &x) const
| chi (Float nu, Float t=0)

## Public Attributes

Float | _eps
sigma_exact | _s

## Constructor & Destructor Documentation

## chi() [1/3]

chi | ( |  | ) |

Examples
  diffusion_tensor_exact.icc, diffusion_transport_tensor_exact.icc, and transport_tensor_exact.icc.

Definition at line 48 of file diffusion_tensor_exact.icc.

## chi() [2/3]

chi | ( | Float | eps,
|  | Float | nu,
|  | Float | t = `0`
| ) |  |

Definition at line 84 of file diffusion_transport_tensor_exact.icc.

## chi() [3/3]

chi | ( | Float | nu,
|  | Float | t = `0`
| ) |  |

Definition at line 69 of file transport_tensor_exact.icc.

## Member Function Documentation

## operator()() [1/3]

tensor operator() | ( | const point & | x | ) | const

Examples
  diffusion_tensor_exact.icc, diffusion_transport_tensor_exact.icc, and transport_tensor_exact.icc.

Definition at line 39 of file diffusion_tensor_exact.icc.

## operator()() [2/3]

tensor operator() | ( | const point & | x | ) | const

Definition at line 81 of file diffusion_transport_tensor_exact.icc.

## operator()() [3/3]

tensor operator() | ( | const point & | x | ) | const

Definition at line 66 of file transport_tensor_exact.icc.

## Member Data Documentation

## _eps

Float _eps

Examples
  diffusion_transport_tensor_exact.icc.

Definition at line 85 of file diffusion_transport_tensor_exact.icc.

## _s

sigma_exact _s

Examples
  diffusion_transport_tensor_exact.icc, and transport_tensor_exact.icc.

Definition at line 86 of file diffusion_transport_tensor_exact.icc.

The documentation for this struct was generated from the following files:

- /build/rheolef-dTNbRN/rheolef-7.2/doc/examples/diffusion_tensor_exact.icc
- /build/rheolef-dTNbRN/rheolef-7.2/doc/examples/diffusion_transport_tensor_exact.icc
- /build/rheolef-dTNbRN/rheolef-7.2/doc/examples/transport_tensor_exact.icc